## wayback 0.2.4

=== DESCRIPTION ===
Package: wayback
Type: Package
Title: Rock Solid Package Installation for Legacy R Versions
Version: 0.2.4
Date: 2020-09-11
Authors@R: c(
    person(
        given  = "Peter", 
        family = "Meissner", 
        email  = "retep.meissner@gmail.com", 
        role   = c("aut", "cre")
     ),
     person(
        family = "virtual7",
        email  = "info@virtual7.de",
        role   = c("cph")
     )
    )
Maintainer: Peter Meissner <retep.meissner@gmail.com>
Description: Make sure packages are available at runtime without any setup. 
    Package installation, reproducibility and exchanging code can be 
    frustrating especially if code is used on older R versions. 
    Often it is hard to puzzle out which package versions are able to work 
    together after some years have passed and packages evolved further and 
    further. The 'wayback' package aims to make this process as painless 
    and robust as possible by using 'MRAN's 'CRAN' snapshots to build local
    package libraries from way back. 
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Imports: checkpoint
NeedsCompilation: no
Packaged: 2020-09-11 20:02:05 UTC; peter
Author: Peter Meissner [aut, cre],
  virtual7 [cph]
Repository: CRAN
Date/Publication: 2020-09-21 09:00:02 UTC

## wayback 0.2

=== debian/changelog ===
wayback (0.2-1) experimental; urgency=medium

  * Initial packaging (Closes: 1109889)

 -- Birger Schacht <birger@debian.org>  Tue, 19 Aug 2025 19:36:20 +0200

=== debian/control ===
Source: wayback
Section: x11
Priority: optional
Maintainer: Birger Schacht <birger@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libwayland-dev,
 libwlroots-0.19-dev (>= 0.19.0),
 libxkbcommon-dev,
 meson (>=1.4.0),
 scdoc,
 wayland-protocols (>=1.14),
 xwayland
Standards-Version: 4.7.2
Homepage: https://gitlab.freedesktop.org/wayback/wayback/
Vcs-Browser: https://salsa.debian.org/birger/wayback
Vcs-Git: https://salsa.debian.org/birger/wayback.git
Rules-Requires-Root: no

Package: wayback
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: X11 compatibility layer using Wayland components
 Wayback is a X11 compatibility layer which allows for running full X11 desktop
 environments using Wayland components. It is essentially a stub compositor
 which provides just enough Wayland capabilities to host a rootful Xwayland
 server.
 .
 It is intended to eventually replace the classic X.Org server, thus reducing
 maintenance burden of X11 applications, but a lot of work needs to be done
 first.

## wayback 0.3

=== meson_options.txt ===
option('generate_manpages', type : 'feature', value : 'enabled', description : 'Generate and install man pages')

=== debian/changelog ===
wayback (0.3-1) experimental; urgency=medium

  * New upstream release
  * d/control:
   + Bump Standards-Version to 4.7.3
   + Drop redundant Rules-Requires-Root field
   + Drop redundant Priority field
  * d/copyright:
   + Bump copyright years to 2026
  * Add debian/watch file

 -- Birger Schacht <birger@debian.org>  Wed, 04 Feb 2026 17:13:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: wayback
 Section: x11
-Priority: optional
 Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -11,11 +10,10 @@
  scdoc,
  wayland-protocols (>=1.14),
  xwayland
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gitlab.freedesktop.org/wayback/wayback/
 Vcs-Browser: https://salsa.debian.org/birger/wayback
 Vcs-Git: https://salsa.debian.org/birger/wayback.git
-Rules-Requires-Root: no
 
 Package: wayback
 Architecture: any
